Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TContainsTable

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TContainsTable

All Implemented Interfaces:
  Visitable

    public class TContainsTable

extends TParseTreeNode

Field Summary
`static int` | `containstable`
`static int` | `freetexttable`

Constructor Summary
`TContainsTable()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TInExpr` | `getColumn_or_columnList()`
`TExpression` | `getContains_search_condition()`
`TObjectName` | `getTableName()`
`int` | `getType()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`void` | `setType(int type)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### containstable

    public static final int containstable

See Also:
  Constant Field Values

### freetexttable

    public static final int freetexttable

See Also:
  Constant Field Values

Constructor Detail

### TContainsTable

    public TContainsTable()

Method Detail

### setType

    public void setType(int type)

### getType

    public int getType()

### getColumn_or_columnList

    public TInExpr getColumn_or_columnList()

### getContains_search_condition

    public TExpression getContains_search_condition()

### getTableName

    public TObjectName getTableName()

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3)

  Overrides:
    `init` in class `TParseTreeNode`

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  Description copied from class: `TParseTreeNode`
  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD